<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Region extends Model
{
    protected $fillable = ['name', 'sort', 'status'];

    protected $casts = [
        'status' => 'integer',
    ];

    public function stores(): HasMany
    {
        return $this->hasMany(Store::class);
    }
}
